Summary:    Multilingualization datafiles for m17n-lib
Name:       m17n-db
Version:    1.8.0
Release:    3%{?dist}
License:    LGPLv2+
URL:        http://www.nongnu.org/m17n
Source0:    http://download-mirror.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Source1:    https://releases.pagure.org/inscript2/inscript2-20210820.tar.gz
Source2:    https://raw.githubusercontent.com/gnuman/m17n-inglish-mims/master/minglish/minglish.mim
Source3:    https://github.com/mike-fabian/m17n-db-sayura/archive/1.0.0.tar.gz#/m17n-db-sayura-1.0.0.tar.gz
Patch3000:  %{name}-1.6.5-bn-itrans-bug182227.patch
Patch3001:  %{name}-1.6.5-kn-itrans_key-summary_bug228806.patch
Patch3002:  %{name}-1.6.5-kn-inscript-ZWNJ-bug440007.patch
Patch3003:  %{name}-1.6.5-number_pad_itrans-222634.patch
Patch3004:  %{name}-1.7.0-fix-e-o-mappings.patch
Patch3005:  %{name}-1.8.0-ml-mozhi-savannah-bug-59681.patch

BuildRequires: make gcc
BuildRequires: gettext glibc-locale-source
Provides:   m17n-contrib = 1.1.14-4.fc20

BuildArch:  noarch

%description
This package provides multilingualization (m17n) datafiles for m17n-lib which describe input 
maps, encoding maps, OpenType font data and font layout text rendering for languages.

%package extras
Summary:  Extra m17n-db files
Requires: %{name} = %{version}-%{release}
Provides:   m17n-contrib-extras = 1.1.14-4.fc20

%description extras
This package provides m17n-db extra files for input maps that are less used.

%package devel
Summary:  Development files for m17n-db
Requires: %{name} = %{version}-%{release}

%description devel
This package provides m17n-db development files.


%prep
%autosetup -p0

tar xzf %{SOURCE1}
tar xzf %{SOURCE3}

sed -i 's/ ("ld" "སྡ")/ ("ld" "ལྡ")/g' MIM/bo-ewts.mim

%build
%configure
%{make_build}

%install
%{make_install}

rm %{buildroot}%{_datadir}/m17n/bn-unijoy.mim
rm %{buildroot}%{_datadir}/m17n/icons/bn-unijoy.png

rm %{buildroot}%{_datadir}/m17n/ispell.mim

# install inscript2
cp -p inscript2/IM/* %{buildroot}%{_datadir}/m17n/
cp -p inscript2/icons/* %{buildroot}%{_datadir}/m17n/icons

# install minglish
/usr/bin/install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/m17n

# install si-sayura
cp -p m17n-db-sayura-1.0.0/si-sayura.mim %{buildroot}%{_datadir}/m17n
cp -p m17n-db-sayura-1.0.0/icons/si-sayura.png %{buildroot}%{_datadir}/m17n/icons

%find_lang %name

%files 
%license COPYING
%doc AUTHORS README
%dir %{_datadir}/m17n
%{_datadir}/m17n/mdb.dir
%{_datadir}/m17n/*.tbl
%{_datadir}/m17n/scripts
%{_datadir}/m17n/*.flt
%{_datadir}/m17n/a*.mim
%{_datadir}/m17n/b*.mim
%{_datadir}/m17n/c*.mim
%{_datadir}/m17n/d*.mim
%{_datadir}/m17n/e*.mim
%{_datadir}/m17n/f*.mim
%{_datadir}/m17n/g*.mim
%{_datadir}/m17n/h*.mim
%{_datadir}/m17n/i*.mim
%{_datadir}/m17n/k*.mim
%{_datadir}/m17n/l*.mim
%{_datadir}/m17n/m*.mim
%{_datadir}/m17n/n*.mim
%{_datadir}/m17n/o*.mim
%{_datadir}/m17n/p*.mim
%{_datadir}/m17n/r*.mim
%{_datadir}/m17n/s*.mim
%{_datadir}/m17n/t*.mim
%{_datadir}/m17n/u*.mim
%{_datadir}/m17n/v*.mim
%{_datadir}/m17n/y*.mim
%{_datadir}/m17n/icons/*.png
%exclude %{_datadir}/m17n/zh-*.mim
%exclude %{_datadir}/m17n/icons/zh*.png
%exclude %{_datadir}/m17n/ja-*.mim
%exclude %{_datadir}/m17n/icons/ja*.png

%files extras -f %{name}.lang
%{_datadir}/m17n/zh-*.mim
%{_datadir}/m17n/icons/zh*.png
%{_datadir}/m17n/ja*.mim
%{_datadir}/m17n/icons/ja*.png
%{_datadir}/m17n/*.fst
%{_datadir}/m17n/*.map
%{_datadir}/m17n/*.tab
%{_datadir}/m17n/*.lnm
%{_datadir}/m17n/LOCALE.*

%files devel
%{_bindir}/m17n-db
%{_datadir}/pkgconfig/m17n-db.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Wang Guodong <gordonwwang@tencent.com> - 1.8.0-1
- package init.
